Updates a *Blog Post*.
**Notes**
* To include `published_date` in a request, provide a flat date string (not an object) in valid <a href="http://tools.ietf.org/html/rfc2822#section-3.3" target="_blank">RFC 2822</a>. The following example request includes a `published_date` in RFC 2822 format.
* Blog posts default to draft status. To publish blog posts to the storefront, set the `is_published` property to `true`.
Authentication
X-Auth-Tokenstring
### OAuth scopes
| UI Name | Permission | Parameter |
|:--------|:-----------|:----------|
| Content | modify | `store_v2_content` |
| Content | read-only | `store_v2_content_read_only` |
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |
### Further reading
For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).
For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).
For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
Path parameters
idstringRequired
Request
This endpoint expects an object.
titlestringRequired
Title of this blog post.
bodystringRequired
Text body of the blog post.
urlstringOptional
URL for the public blog post.
tagslist of stringsOptional
Tags to characterize the blog post.
is_publishedbooleanOptionalDefaults to false
Whether the blog post is published. If you want the post to be or remain published following the request, you must set the field explicitly to true, even if the blog post was already published prior to the request.
meta_descriptionstringOptional
Description text for this blog post’s <meta/> element.
meta_keywordsstringOptional
Keywords for this blog post’s <meta/> element.
authorstringOptional
Name of the blog post’s author.
thumbnail_pathstringOptional
Local path to a thumbnail uploaded to /product_images/ using WebDAV.
published_datestringOptional
Response
titlestring
Title of this blog post.
urlstring
URL for the public blog post.
preview_urlstringRead-only
URL to preview the blog post. READ-ONLY.
bodystring
Text body of the blog post.
tagslist of strings
Tags to characterize the blog post.
summarystringRead-only
Summary of the blog post. READ-ONLY.
is_publishedbooleanDefaults to false
Whether the blog post is published. If you want the post to be or remain published following the request, you must set the field explicitly to true, even if the blog post was already published prior to the request.
published_dateobject
published_date_iso8601string
Published date in ISO 8601 format.
meta_descriptionstring or null
Description text for this blog post’s <meta/> element.
meta_keywordsstring or null
Keywords for this blog post’s <meta/> element.
authorstring or null
Name of the blog post’s author.
thumbnail_pathstring or null
Local path to a thumbnail uploaded to /product_images/ using WebDAV.
Updates a Blog Post.
Notes
To include published_date in a request, provide a flat date string (not an object) in valid RFC 2822. The following example request includes a published_date in RFC 2822 format.
Blog posts default to draft status. To publish blog posts to the storefront, set the is_published property to true.
OAuth scopes
UI Name
Permission
Parameter
Content
modify
store_v2_content
Content
read-only
store_v2_content_read_only
Authentication header
Header
Argument
Description
X-Auth-Token
access_token
For more about API accounts that generate access_tokens, see our Guide to API Accounts.